Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.forwarding
Class ForwardingListener

    java.lang.Object
      com.sshtools.j2ssh.forwarding.ForwardingConfiguration
          com.sshtools.j2ssh.forwarding.ForwardingListener

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  ForwardingClient.ClientForwardingListener

public abstract class ForwardingListener
extends ForwardingConfiguration
implements java.lang.Runnable

DOCUMENT ME!

Nested Class Summary

Nested classes inherited from class com.sshtools.j2ssh.forwarding.ForwardingConfiguration
`ForwardingConfiguration.ForwardingConfigurationMonitor`

Field Summary

Fields inherited from class com.sshtools.j2ssh.forwarding.ForwardingConfiguration
`addressToBind, hostToConnect, listenerList, monitor, name, portToBind, portToConnect, state`

Constructor Summary
`ForwardingListener(ConnectionProtocol connection, java.lang.String addressToBind, int portToBind)` Creates a new ForwardingListener object.
`ForwardingListener(java.lang.String name, ConnectionProtocol connection, java.lang.String addressToBind, int portToBind, java.lang.String hostToConnect, int portToConnect)` Creates a new ForwardingListener object.

Method Summary
`protected abstract ForwardingSocketChannel` | `createChannel(java.lang.String hostToConnect, int portToConnect, java.net.Socket socket)` DOCUMENT ME!
`int` | `getLocalPort()` DOCUMENT ME!
`boolean` | `isListening()` DOCUMENT ME!
`boolean` | `isRunning()` DOCUMENT ME!
`void` | `run()` DOCUMENT ME!
`void` | `start()` DOCUMENT ME!
`void` | `stop()` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.forwarding.ForwardingConfiguration
`addForwardingConfigurationListener, createForwardingBindingChannel, createForwardingIOChannel, createForwardingSocketChannel, getActiveForwardingSocketChannels, getAddressToBind, getHostToConnect, getName, getPortToBind, getPortToConnect, getState, removeForwardingConfigurationListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForwardingListener

    public ForwardingListener(java.lang.String name,
                              ConnectionProtocol connection,
                              java.lang.String addressToBind,
                              int portToBind,
                              java.lang.String hostToConnect,
                              int portToConnect)

  Creates a new ForwardingListener object.

Parameters:
  `name` - DOCUMENT ME!
  `connection` - DOCUMENT ME!
  `addressToBind` - DOCUMENT ME!
  `portToBind` - DOCUMENT ME!
  `hostToConnect` - DOCUMENT ME!
  `portToConnect` - DOCUMENT ME!

### ForwardingListener

    public ForwardingListener(ConnectionProtocol connection,
                              java.lang.String addressToBind,
                              int portToBind)

  Creates a new ForwardingListener object.

Parameters:
  `connection` - DOCUMENT ME!
  `addressToBind` - DOCUMENT ME!
  `portToBind` - DOCUMENT ME!

Method Detail

### getLocalPort

    public int getLocalPort()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### isListening

    public boolean isListening()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### run

    public void run()

  DOCUMENT ME!

  Specified by:
    `run` in interface `java.lang.Runnable`

### isRunning

    public boolean isRunning()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### start

    public void start()
               throws java.io.IOException

  DOCUMENT ME!

  Overrides:
    `start` in class `ForwardingConfiguration`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### stop

    public void stop()

  DOCUMENT ME!

  Overrides:
    `stop` in class `ForwardingConfiguration`

### createChannel

    protected abstract ForwardingSocketChannel createChannel(java.lang.String hostToConnect,
                                                             int portToConnect,
                                                             java.net.Socket socket)
                                                      throws ForwardingConfigurationException

  DOCUMENT ME!

  Parameters:
    `hostToConnect` - DOCUMENT ME!
    `portToConnect` - DOCUMENT ME!
    `socket` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `ForwardingConfigurationException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD